var whatsnew = {
	currentVersion: "1.0.20",
	initialize: function() {
		this.bindEvents();
	},
	bindEvents: function() {
        document.addEventListener('deviceready', this.deviceReady, false);
	},
	deviceReady: function() {		
		//window.localStorage.removeItem("whatsnew_"+whatsnew.currentVersion);
		whatsnew.displayWhatsnew();
		
		// bind event to acknowledge user has seen the what's new message
		$("#whatsnew-seen").click(function() { 
			whatsnew.setSeen(); 
		});
	},
	displayWhatsnew: function() {
		// check if message has been displayed for this version
		if(!whatsnew.isSeen()) {
			// display message
			$(":mobile-pagecontainer").pagecontainer( "change", "#whatsnew");
		}
	},
	setSeen: function() {
		window.localStorage.setItem("whatsnew_"+whatsnew.currentVersion, "seen");
		$(":mobile-pagecontainer").pagecontainer( "change", "#home");
	},
	isSeen: function() {
		if(window.localStorage.getItem("whatsnew_"+whatsnew.currentVersion) === null) {
			return false;
		} else {
			return true;
		}
	},
};